API ReferenceEnvironments
Create an environment
Create a new environment for the app.
POST
/v1/apps/{appId}/environmentsAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
appId*string
Application ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/apps/string/environments" \ -H "Content-Type: application/json" \ -d '{ "name": "staging", "displayName": "Staging Environment" }'{
"id": "string",
"name": "string",
"displayName": "string",
"isProduction": true,
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed",
"details": {
"field": "name",
"reason": "Name is required"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}Was this page helpful?